
TYPO3.Neos - Bug # 45054

Status: Resolved Priority: Must have
Author: Markus Goldbeck Category: UI
Created: 2013-01-31 Assigned To: Markus Goldbeck
Updated: 2013-03-22 Due date:
Subject: Creating page in the pagetree works not properly after editing the nodename
Description

When a nodename is changed in the inspector, the pagetree panel is closed and the tree reinitialized. Because of this the click events
which are bind to the toolbar, are that often initialized and called as the tree. So many new pages are added to the tree on the
clientside and on on the serverside, which leads to confusion. 
The solution is to unbind the click events in the toolbar when the pagetree is resetted.

Related issues:
related to Base Distribution - Task # 41875: Updating Syncronization between ... Resolved

Associated revisions
Revision 153f2159 - 2013-03-16 18:43 - Markus Goldbeck

[BUGFIX] Editing node name leads to bugs for creating pages

This change replaces the unsatisfactory closing of the page
tree when editing a node's name. Instead the node is updated
in the tree and if it has subpages it is reloaded after
the page has been reloaded.

Change-Id: I099cc59d3761995759727ce15dc0f4aca0db5acd
Fixes: #45054

History
#1 - 2013-01-31 23:10 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#2 - 2013-03-15 20:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#3 - 2013-03-16 17:43 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#4 - 2013-03-16 17:45 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#5 - 2013-03-16 17:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#6 - 2013-03-16 17:51 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#7 - 2013-03-16 18:43 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17910

#8 - 2013-03-22 09:37 - Markus Goldbeck
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:153f21596794ae8de34df08a6439c5187c2ecebc.
